! ----------------------------------------------------------------------
! *   calculate mean and dispersion of particle position               *
! ---------------------------------------------------------------------
   subroutine medisp ( x, t, it, nif )

      use mod_para

      implicit none
      real(8):: t, xmean, xdisp
      real(8):: x(NP)
      integer:: it, i, nif

!  ****  calculate mean and dispersion  ****

      xmean = 0.0d0
      xdisp = 0.0d0

      do i = 1,NP
        xmean = xmean + X(i)
        xdisp = xdisp + X(i)**2
      end do

      xmean = xmean / dfloat( NP )
      xdisp = xdisp / dfloat( NP )

!  ****  write to file  ****

      if ( mod( it,nif ) == 0 ) write ( 6,* )  t, xmean, xdisp
      write ( 20,* ) t, xmean, xdisp

      return

   end subroutine medisp

